# jQuery MegaKrill

### Compact navigation for mobile devices and responsive layouts!

---

#### OPTIONS

* `animIn`: What animation object to use to show the submenus. Default: `{ height: 'toggle' }`.
* `animOut`: IBID, but for hiding. Default: `{ height: 'toggle' }`.
* `clone`: Set to false if you don't want to clone target object. Default: `true`.
* `cloneId`: Auto clone id? One of `<id>`, true or false. Default: `true`.
* `easeIn`: Easing function in. Default: `swing`.
* `easeOut`: Easing function out. Default: `swing`.
* `cloneRemove`: Element(s) for the clone to remove. Default: `false`.
* `speedIn`: Animation speed in. Default: `normal`.
* `speedOut`: Animation speed out. Default: `normal`.

**Callbacks:**

* `onInit`: After plugin data initialized.
* `onAfterInit`: After plugin initialization.
* `onBeforeShow`: Before reveal animation begins.
* `onShow`: After reveal animation ends.
* `onBeforeHide`: Before hide animation begins.
* `onHide`: After hide animation ends.

---

#### DEMO

Just **MegaKrill**:

[![qr code](http://chart.apis.google.com/chart?cht=qr&chl=https://github.com/registerguard/jquery-megakrill/&chs=240x240)](http://registerguard.github.com/jquery-megakrill/demo/)

… and here's a demo using **MegaKrill** and the [jQuery **MegaWhale** plugin](https://github.com/registerguard/jquery-megawhale):

[![qr code](http://chart.apis.google.com/chart?cht=qr&chl=https://github.com/registerguard/jquery-mega-demos/&chs=240x240)](http://registerguard.github.com/jquery-mega-demos/)

Resize the browser window to see the plugin(s) in action (Firefox 15+ users, check out [Responsive Design View](https://developer.mozilla.org/en-US/docs/Tools/Responsive_Design_View)).

---

#### DISCLAIMER

While I've done my best to make this code as plug-and-play as possible, you'll most likely have to customize the CSS to suit your needs.

---

#### LEGAL

Copyright © 2013 [Micky Hulse](http://hulse.me)/[The Register-Guard](http://registerguard.com)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this work except in compliance with the License. You may obtain a copy of the License in the LICENSE file, or at:

[http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.